org.jbpm.persistence.correlation

## Class CorrelationPropertyInfo

- java.lang.Object
- - org.jbpm.persistence.correlation.CorrelationPropertyInfo

- All Implemented Interfaces:
    Serializable, org.kie.internal.process.CorrelationProperty<String>

      @Entity
      public class CorrelationPropertyInfo
      extends Object
      implements org.kie.internal.process.CorrelationProperty<String>, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationPropertyInfo()`
    `CorrelationPropertyInfo(String name, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `CorrelationKeyInfo` | `getCorrelationKey()`
    `String` | `getName()`
    `String` | `getType()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `void` | `setCorrelationKey(CorrelationKeyInfo correlationKey)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationPropertyInfo

          public CorrelationPropertyInfo()

    - #### CorrelationPropertyInfo

          public CorrelationPropertyInfo(String name,
                                         String value)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.internal.process.CorrelationProperty<String>`

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `org.kie.internal.process.CorrelationProperty<String>`

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `org.kie.internal.process.CorrelationProperty<String>`

    - #### getCorrelationKey

          public CorrelationKeyInfo getCorrelationKey()

    - #### setCorrelationKey

          public void setCorrelationKey(CorrelationKeyInfo correlationKey)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.